bitel.billing.server.admin.integration.bean

## Class RegisterItem

- java.lang.Object
- - bitel.billing.server.admin.integration.bean.RegisterItem

-     public class RegisterItem
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegisterItem()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBalanceItemComment()`
    `int` | `getBalanceItemId()`
    `int` | `getBalanceItemID()` Deprecated.
    `int` | `getBalanceItemTypeId()`
    `int` | `getBalanceItemTypeID()` Deprecated.
    `int` | `getContractId()`
    `int` | `getContractID()` Deprecated.
    `java.util.Date` | `getDate()`
    `int` | `getId()`
    `int` | `getID()` Deprecated.
    `int` | `getRegisterId()`
    `int` | `getRegisterID()` Deprecated.
    `java.math.BigDecimal` | `getSumma()`
    `java.lang.String` | `getUniqueId()`
    `void` | `setBalanceItemComment(java.lang.String balanceItemComment)`
    `void` | `setBalanceItemId(int balanceItemId)`
    `void` | `setBalanceItemID(int balanceItemId)` Deprecated.
    `void` | `setBalanceItemTypeId(int balanceItemTypeId)`
    `void` | `setBalanceItemTypeID(int balanceItemTypeId)` Deprecated.
    `void` | `setContractId(int contractId)`
    `void` | `setContractID(int contractId)` Deprecated.
    `void` | `setDate(java.util.Date date)`
    `void` | `setId(int id)`
    `void` | `setID(int id)` Deprecated.
    `void` | `setRegisterId(int registerId)`
    `void` | `setRegisterID(int registerId)` Deprecated.
    `void` | `setSumma(java.math.BigDecimal summa)`
    `void` | `setUniqueId(java.lang.String uniqueId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RegisterItem

          public RegisterItem()

  - ### Method Detail

    - #### getId

          public int getId()

    - #### getID

          @Deprecated
          public int getID()

      Deprecated.
      Использовать `getId()`.
      Returns:

    - #### setId

          public void setId(int id)

    - #### setID

          @Deprecated
          public void setID(int id)

      Deprecated.
      Использовать `setId(int)`.
      Parameters:
        `id` -

    - #### getRegisterId

          public int getRegisterId()

    - #### getRegisterID

          @Deprecated
          public int getRegisterID()

      Deprecated.
      Использовать `getRegisterId()`.
      Returns:

    - #### setRegisterId

          public void setRegisterId(int registerId)

    - #### setRegisterID

          @Deprecated
          public void setRegisterID(int registerId)

      Deprecated.
      Использоватьа `setRegisterId(int)`.
      Parameters:
        `registerId` -

    - #### getContractId

          public int getContractId()

    - #### getContractID

          @Deprecated
          public int getContractID()

      Deprecated.
      Использовать `getContractId()`.
      Returns:

    - #### setContractId

          public void setContractId(int contractId)

    - #### setContractID

          @Deprecated
          public void setContractID(int contractId)

      Deprecated.
      Использовать `setContractId(int)`.
      Parameters:
        `contractId` -

    - #### getSumma

          public java.math.BigDecimal getSumma()

    - #### setSumma

          public void setSumma(java.math.BigDecimal summa)

    - #### getBalanceItemId

          public int getBalanceItemId()

    - #### getBalanceItemID

          @Deprecated
          public int getBalanceItemID()

      Deprecated.
      Использовать `getBalanceItemId()`.
      Returns:

    - #### setBalanceItemId

          public void setBalanceItemId(int balanceItemId)

    - #### setBalanceItemID

          @Deprecated
          public void setBalanceItemID(int balanceItemId)

      Deprecated.
      Использовать `setBalanceItemId(int)`.
      Parameters:
        `balanceItemId` -

    - #### getBalanceItemComment

          public java.lang.String getBalanceItemComment()

    - #### setBalanceItemComment

          public void setBalanceItemComment(java.lang.String balanceItemComment)

    - #### getDate

          public java.util.Date getDate()

    - #### setDate

          public void setDate(java.util.Date date)

    - #### getUniqueId

          public java.lang.String getUniqueId()

    - #### setUniqueId

          public void setUniqueId(java.lang.String uniqueId)

    - #### getBalanceItemTypeId

          public int getBalanceItemTypeId()

    - #### getBalanceItemTypeID

          @Deprecated
          public int getBalanceItemTypeID()

      Deprecated.
      Использовать `getBalanceItemTypeId()`.
      Returns:

    - #### setBalanceItemTypeId

          public void setBalanceItemTypeId(int balanceItemTypeId)

    - #### setBalanceItemTypeID

          @Deprecated
          public void setBalanceItemTypeID(int balanceItemTypeId)

      Deprecated.
      Использовать `setBalanceItemTypeId(int)`.
      Parameters:
        `balanceItemTypeId` -